FactoryBot.define do

  factory :category, class: Dhatu::Category do
    name "Category Name"
    one_liner "Category Name"
    description "Category Short Description"
    featured false
    end_node true
  end

  factory :published_category, parent: :category do
    status "published"
  end

  factory :unpublished_category, parent: :category do
    status "unpublished"
  end

  factory :removed_category, parent: :category do
    status "removed"
  end

  factory :featured_category, parent: :published_category do
    featured true
  end

  factory :published_blog_post_category, parent: :category do
    category_type "Dhatu::BlogPost"
  end

  factory :published_event_category, parent: :category do
    category_type "Dhatu::Event"
  end

  factory :published_offer_category, parent: :category do
    category_type "Dhatu::Offer"
  end

  factory :published_price_category, parent: :category do
    category_type "Dhatu::Price"
  end

  factory :published_section_category, parent: :category do
    category_type "Dhatu::Section"
  end

  factory :published_services_category, parent: :category do
    category_type "Dhatu::Service"
  end
  
end
