FactoryBot.define do
  
  factory :unpublished_offer, class: Dhatu::Offer do
    title "Offer Title"
    offer_text "AED 1000 only"
    description "Some Offer Description"
    association :category, factory: :published_offer_category
    starts_at { Time.now - 4.hours }
    ends_at { Time.now - 1.hours }
  end

  factory :published_offer, parent: :unpublished_offer do
    after :build do |e|
      e.publish
    end
  end

  factory :removed_offer, parent: :unpublished_offer do
    after :build do |e|
      e.remove
    end
  end

  factory :archived_offer, parent: :unpublished_offer do
    after :build do |e|
      e.archive
    end
  end

  factory :featured_offer, parent: :published_offer do
    after :build do |e|
      e.mark_as_featured
    end
  end

  factory :non_featured_offer, parent: :published_offer do
    after :build do |e|
      e.remove_from_featured
    end
  end

  
end