FactoryBot.define do
  
  factory :unpublished_promotion, class: Dhatu::Promotion do
    title "Offer Title"
    code "108273"
    short_description "Some Promotion Description"

    display_name true
    display_email true
    display_phone true

    name_mandatory true
    email_mandatory false
    phone_mandatory false
  end

  factory :published_promotion, parent: :unpublished_promotion do
    after :build do |e|
      e.publish
    end
  end

  factory :removed_promotion, parent: :unpublished_promotion do
    after :build do |e|
      e.remove
    end
  end

  factory :archived_promotion, parent: :unpublished_promotion do
    after :build do |e|
      e.archive
    end
  end

  factory :featured_promotion, parent: :published_promotion do
    after :build do |e|
      e.mark_as_featured
    end
  end

  factory :non_featured_promotion, parent: :published_promotion do
    after :build do |e|
      e.remove_from_featured
    end
  end

  
end