FactoryBot.define do
  
  factory :unpublished_team_member, class: Dhatu::TeamMember do
    
    name "Some Name"
    designation "Some Designation"
    description "Some Description"
    
    linked_in_url "linkedin.com/somename"
    google_plus_url "google.com/somename"
    facebook_url "google.com/somename"
    twitter_url "google.com/somename"

  end

  factory :published_team_member, parent: :unpublished_team_member do
    after :build do |e|
      e.publish
    end
  end

  factory :removed_team_member, parent: :unpublished_team_member do
    after :build do |e|
      e.remove
    end
  end

  factory :archived_team_member, parent: :unpublished_team_member do
    after :build do |e|
      e.archive
    end
  end

  factory :featured_team_member, parent: :published_team_member do
    after :build do |e|
      e.mark_as_featured
    end
  end

  factory :non_featured_team_member, parent: :published_team_member do
    after :build do |e|
      e.remove_from_featured
    end
  end

  
end