FactoryBot.define do
  
  factory :unpublished_testimonial, class: Dhatu::Testimonial do
    
    name "Dr. Dennis Ritchie"
    designation "Sr. Scientist"
    organisation "Bell Laboratories"
    featured false
    statement "Bando Chemical Industries, with 17 plants in 15 countries, is headquartered in Kobe, Japan and for more than 100 years has been pioneering technologies and development of all types of power transmission products."

  end

  factory :published_testimonial, parent: :unpublished_testimonial do
    after :build do |e|
      e.publish
    end
  end

  factory :removed_testimonial, parent: :unpublished_testimonial do
    after :build do |e|
      e.remove
    end
  end

  factory :archived_testimonial, parent: :unpublished_testimonial do
    after :build do |e|
      e.archive
    end
  end

  factory :featured_testimonial, parent: :published_testimonial do
    after :build do |e|
      e.mark_as_featured
    end
  end

  factory :non_featured_testimonial, parent: :published_testimonial do
    after :build do |e|
      e.remove_from_featured
    end
  end

  
end